Bug 447742 - JBD: Fix typo that could result in filesystem corruption.
JBD: Fix typo that could result in filesystem corruption.
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity high
: rc
: ---
Assigned To: Josef Bacik
Martin Jenner
: 450770 (view as bug list)
Depends On: 447741
Blocks: KernelPrio5.3
  Show dependency treegraph
Reported: 2008-05-21 11:02 EDT by Josef Bacik
Modified: 2009-01-20 14:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 14:55:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josef Bacik 2008-05-21 11:02:08 EDT
+++ This bug was initially created as a clone of Bug #447741 +++

There is a typo in JBD that could result in fs corruption on recovery.  This
exists in RHEL4 and RHEL5 and needs to be backported.  The upstream commit is 

Comment 3 Eric Sandeen 2008-06-12 10:29:46 EDT
*** Bug 450770 has been marked as a duplicate of this bug. ***
Comment 4 Don Zickus 2008-07-18 16:07:34 EDT
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 errata-xmlrpc 2009-01-20 14:55:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.